Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227385 - [RFE] Enable ext4 support
Summary: [RFE] Enable ext4 support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: rawhide
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Eric Sandeen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 19:18 UTC by Daniel Riek
Modified: 2008-07-03 18:43 UTC (History)
4 users (show)

Fixed In Version: F9
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-03 18:43:29 UTC


Attachments (Terms of Use)

Description Daniel Riek 2007-02-05 19:18:29 UTC
The kernel in F7T1 already supports ext4 filesystem but the userspace does not
seem to be there yet. As ext4 is very important in order to address the
scalability requirements of large storage systems, this should happen for F7.

Comment 1 Dave Jones 2007-05-24 15:54:56 UTC
No chance.
This isn't going to happen until upstream removes the 'dev' moniker.
Whilst there remains a possibility for the underlying filesystem metadata to
change, we can't risk putting out a release which may leave end-users with
unmountable filesystems.

It'll get turned back on for rawhide after F7 goes out.

Enabling this in F7 would be utter madness.


Comment 2 Eric Sandeen 2007-05-24 15:55:52 UTC
The F7 kernel tree has the ext4dev filesystem... emphasis on dev.  It is still
incomplete and in experimental state, just for the record.

Also while the ext4dev code is in the kernel codebase F7 uses, it is not
actually built in F7.

This is all still very much in development & in flux - perhaps down the line in
F7 updates we can enable ext4 in the kernel and in e2fsprogs, but it's clearly
too late for the initial F7 release.

e2fsprogs is trickier than the kernelspace change, due to the fact that we
cannot regress e2fsprogs by introducing the ext4 changes.

Comment 3 Eric Sandeen 2007-10-29 21:27:53 UTC
see also bug #338391 for the anaconda side of this.  Still no ext4-capable
e2fsprogs to package anywhere, I'm afraid.  upstream e2fsprogs is moving slowly
and "ext4 capability" for e2fsprogs is essentially a bunch of patches in email
archives at this point.

Comment 4 John Poelstra 2008-07-02 19:41:16 UTC
EXT4 is in F9.

Can this be closed?

Comment 5 Eric Sandeen 2008-07-03 18:43:29 UTC
Yep.


Note You need to log in before you can comment on or make changes to this bug.